Subject: Instant Evaluation (was: The Knights who forgot to say "ni!"

From: Invent Yourself <[email-masked]>
Date: Tue, 4 Sep 2001 09:47:06 -0400 (EDT)

On Sun, 2 Sep 2001, And Rosta wrote:

> Rob:
> > On Fri, Aug 31, 2001 at 06:04:28PM +0100, And Rosta wrote:
> > > Rob:
> > > > "whether D is a crook". Not every grammatical construct has to be
> > "evaluated"
> > > > to something shorter.
> > >
> > > In general, things *are* fully evaluated in Lojban. The times when you want
> > > something that doesn't evaluate are special cases, that call for special
> > > constructions, the ones that cause us so much perplexity.
> >
> > If you performed the kind of "evaluation" people are suggesting for {jei} all
> > the time, then saying {la spat. gerku} would be instantly replaced by "true"
> > and communicate nothing.
>
> A bridi is one of those special constructions that is exempt from evaluation.
> Indeed, it is *the( special construction par excellence. That is why when,
> as in the Q-kau discussions, and the needing a box and seeking a unicorn
> discussions, some sumti musn't be instantly-evaluated, we seek a solution
> that involves embedding the sumti within a subordinate bridi, so as to
> block evaluation. I'm not making this up, or laying down the law, or
> speaking ex cathedra; I'm describing long-long-established Loglan/Lojban
> semantic principles -- or so I believe.

Lazy evaluation makes lu'e a lot more useful. It converts {lu'e la djan}
from "John" to "The Symbol for John".

-----
"We should destroy the Muslims' homes while leaving the Christians'
homes alone." -- Rehavam Zeevi, Israeli Tourism Minister